textures/bs1_holywar/crystalpurp
{
    q3map_surfacelight 4200
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/bs1_holywar/crystalpurp.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 6 6
    }
}

textures/bs1_holywar/nodraw_lightblock
{
    qer_editorimage textures/common/nodraw.tga
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nolightmap
}

textures/bs1_holywar/water_nodraw
{
      qer_editorimage textures/common/nodraw
      qer_trans 0.50
       surfaceparm nolightmap
       surfaceparm trans
       surfaceparm water
       surfaceparm  nodraw
}
       

textures/bs1_holywar/glass
{
    qer_editorimage textures/bs1_holywar/water2.tga
    qer_trans 0.5
    surfaceparm nolightmap
    surfaceparm trans
    tessSize 48
    {
        map textures/bs1_holywar/water2.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/bs1_holywar/water2.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 1.5 6
    }
}

textures/bs1_holywar/lightb
{
    qer_editorimage textures/bs1_holywar/lightb.tga
    q3map_lightimage textures/bs1_holywar/lightb.tga
    q3map_surfacelight 350
    light 50
    {
        map textures/bs1_holywar/lightb.tga
        blendFunc GL_ONE GL_ZERO
        tcMod scroll 0 1
    }
    {
        map textures/bs1_holywar/lightb.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -1
    }
    {
        map textures/dreadnought/conslight.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/bs1_holywar/lightr
{
    qer_editorimage textures/bs1_holywar/lightr.tga
    q3map_lightimage textures/bs1_holywar/lightr.tga
    q3map_surfacelight 350
    light 50
    {
        map textures/bs1_holywar/lightr.tga
        blendFunc GL_ONE GL_ZERO
        tcMod scroll 0 1
    }
    {
        map textures/bs1_holywar/lightr.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -1
    }
    {
        map textures/dreadnought/conslight.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/bs1_holywar/waterfall
{
qer_editorimage textures/holodeck_temple/water1f.tga
surfaceparm nolightmap
surfaceparm trans
surfaceparm water
surfaceparm pointlight
cull disable
deformVertexes wave 128 sin 0 2 0 0.75 
tessSize 48
qer_trans 0.50
{
map textures/holodeck_temple/water1f.tga
blendfunc blend
rgbGen Vertex
tcMod scroll 1.05 0.03
tcMod scale 2 2
}
{
map textures/holodeck_temple/water1f.tga
blendfunc blend
rgbGen Vertex
tcMod scroll 1.045 0.05
}
} 

textures/bs1_holywar/rorshac_water02
{
    qer_trans 0.50
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    cull disable
     deformVertexes wave 128 sin 0 2 0 0.75
    tessSize 48
    {
        map textures/bs1_holywar/rorshac_water02.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
       tcMod scroll 0.05 -0.03
    }
    {
        map textures/bs1_holywar/rorshac_water02.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

textures/bs1_holywar/water2
{
    
    qer_trans 0.50
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    cull disable
    deformVertexes wave 128 sin 0 2 0 0.75
    tessSize 48
    {
        map textures/bs1_holywar/water2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/bs1_holywar/water2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

textures/bs1_holywar/strangewall_1
{       
     qer_editorimage textures/bs1_holywar/grnstone.tga
     surfaceparm trans
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/bs1_holywar/grnstone.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/stonerough.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcMod scale 3 3
    }
}


textures/bs1_holywar/strangewall_4
{
          qer_editorimage textures/bs1_holywar/stoneback2.tga
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/bs1_holywar/stoneback2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/stonerough.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcMod scale 3 3
    }
}

textures/bs1_holywar/strangewall_5
{
          qer_editorimage textures/holodeck_temple/4_13slumgrasa.tga
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/holodeck_temple/4_13slumgrasa.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/stonerough.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcMod scale 3 3
    }
}

textures/bs1_holywar/rain
{
       surfaceparm trans	
     surfaceparm nomarks	
     surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .5
    deformVertexes move 3 1 0  sin 0 5 0 0.2
   deformVertexes move .6 3.3 0  sin 0 5 0 0.4
    deformVertexes wave 30 sin 0 10 0 .2
   cull disable
{
	map textures/bs1_holywar/rain.tga
       tcMod Scroll .5 -8
       tcMod turb .1 .25 0 -.1
       blendFunc GL_ONE GL_ONE
   }
   {
	map textures/bs1_holywar/rain.tga
      tcMod Scroll .01 -6.3
               
      blendFunc GL_ONE GL_ONE
  }
}

textures/bs1_holywar/holySky
   {

 qer_editorimage textures/bs1_holywar/universe.tga
    q3map_surfacelight 400
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 0.84  0.44  0.18 200 35 90
    skyParms env/holywar 512 -
 {
        map textures/bs1_holywar/universe.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 4 4
        tcMod scroll 0.015 0.01
    }
    {
        map textures/bs1_holywar/universe2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcMod scale 3 3
        tcMod scroll 0.035 0.025
    }

}


//Stuk@tto's  Shaders
//Tarnished gold with some shine
textures/stuk_fx/gold_tarn
{
	qer_editorimage textures/stuk_fx/gold_tarn1.tga
	{
		map textures/stuk_fx/gold_tarn1_blend.tga
		rgbGen identity
		tcMod scale 0.4 0.4
		tcGen environment 
	}
	{
		map textures/stuk_fx/gold_tarn1.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//Fire
//Lighter fire
textures/stuk_fx/stuk_fire1
{
	qer_editorimage textures/stuk_fx/stuk_flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	q3map_surfacelight 80
	{
		animmap 10 textures/stuk_fx/stuk_flame1.tga textures/stuk_fx/stuk_flame2.tga textures/stuk_fx/stuk_flame3.tga textures/stuk_fx/stuk_flame4.tga textures/stuk_fx/stuk_flame2.tga textures/stuk_fx/stuk_flame1.tga textures/stuk_fx/stuk_flame4.tga textures/stuk_fx/stuk_flame3.tga 
		blendfunc gl_one gl_src_alpha
		rgbGen identity
	}
}

//Darker fire
textures/stuk_fx/stuk_fire2
{
	qer_editorimage textures/stuk_fx/stuk_flame5.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	q3map_surfacelight 100
	{
		animmap 10 textures/stuk_fx/stuk_flame5.tga textures/stuk_fx/stuk_flame6.tga textures/stuk_fx/stuk_flame7.tga textures/stuk_fx/stuk_flame8.tga textures/stuk_fx/stuk_flame6.tga textures/stuk_fx/stuk_flame5.tga textures/stuk_fx/stuk_flame8.tga textures/stuk_fx/stuk_flame7.tga 
		blendfunc gl_one gl_src_alpha
		rgbGen identity
	}
}

textures/stuk_fx/stuk_smoke1
{
	qer_editorimage textures/stuk_fx/stuk_smoke1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		animmap 8 textures/stuk_fx/stuk_smoke1.tga textures/stuk_fx/stuk_smoke2.tga textures/stuk_fx/stuk_smoke3.tga textures/stuk_fx/stuk_smoke4.tga textures/stuk_fx/stuk_smoke2.tga textures/stuk_fx/stuk_smoke1.tga textures/stuk_fx/stuk_smoke3.tga textures/stuk_fx/stuk_smoke4.tga 
		blendfunc gl_one gl_src_alpha
		rgbGen identity
	}
}

